Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.text
Class RtfParagraph

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfPhrase
              com.lowagie.text.rtf.text.RtfParagraph

All Implemented Interfaces:
  RtfBasicElement

Direct Known Subclasses:
  RtfListItem

    public class RtfParagraph

extends RtfPhrase

The RtfParagraph is an extension of the RtfPhrase that adds alignment and indentation properties. It wraps a Paragraph.

Version:
  $Id: RtfParagraph.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`static byte[]` | `PARAGRAPH` Constant for the end of a paragraph
`protected RtfParagraphStyle` | `paragraphStyle` An optional RtfParagraphStyle to use for styling.

Fields inherited from class com.lowagie.text.rtf.text.RtfPhrase
`chunks, IN_TABLE, LINE_SPACING, PARAGRAPH_DEFAULTS, PLAIN`

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfParagraph(RtfDocument doc, Paragraph paragraph)` Constructs a RtfParagraph belonging to a RtfDocument based on a Paragraph.

Method Summary
`int` | `getIndentLeft()` Gets the left indentation of this RtfParagraph.
`int` | `getIndentRight()` Gets the right indentation of this RtfParagraph.
`void` | `setIndentLeft(int indentLeft)` Sets the left indentation of this RtfParagraph.
`void` | `setIndentRight(int indentRight)` Sets the right indentation of this RtfParagraph.
`void` | `setKeepTogetherWithNext(boolean keepTogetherWithNext)` Set whether this RtfParagraph must stay on the same page as the next one.
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream result)` Writes the content of this RtfParagraph.

Methods inherited from class com.lowagie.text.rtf.text.RtfPhrase
`setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAGRAPH

    public static final byte[] PARAGRAPH

  Constant for the end of a paragraph

### paragraphStyle

    protected RtfParagraphStyle paragraphStyle

  An optional RtfParagraphStyle to use for styling.

Constructor Detail

### RtfParagraph

    public RtfParagraph(RtfDocument doc,
                        Paragraph paragraph)

  Constructs a RtfParagraph belonging to a RtfDocument based on a Paragraph.

  Parameters:
    `doc` - The RtfDocument this RtfParagraph belongs to
    `paragraph` - The Paragraph that this RtfParagraph is based on

Method Detail

### setKeepTogetherWithNext

    public void setKeepTogetherWithNext(boolean keepTogetherWithNext)

  Set whether this RtfParagraph must stay on the same page as the next one.

  Parameters:
    `keepTogetherWithNext` - Whether this RtfParagraph must keep together with the next.

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the content of this RtfParagraph. First paragraph specific data is written and then the RtfChunks of this RtfParagraph are added.

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfPhrase`
  Returns:
    The content of this RtfParagraph

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the content of this RtfParagraph. First paragraph specific data is written and then the RtfChunks of this RtfParagraph are added.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfPhrase`
  Throws:
    `IOException`

### getIndentLeft

    public int getIndentLeft()

  Gets the left indentation of this RtfParagraph.

  Returns:
    The left indentation.

### setIndentLeft

    public void setIndentLeft(int indentLeft)

  Sets the left indentation of this RtfParagraph.

  Parameters:
    `indentLeft` - The left indentation to use.

### getIndentRight

    public int getIndentRight()

  Gets the right indentation of this RtfParagraph.

  Returns:
    The right indentation.

### setIndentRight

    public void setIndentRight(int indentRight)

  Sets the right indentation of this RtfParagraph.

  Parameters:
    `indentRight` - The right indentation to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD